angular.module('app')
    .controller('PkGuidController', ['$scope', 'pkGuidBusiness', 'AppUtilsBusiness',
        function($scope, pkGuidBusiness, AppUtilsBusiness) {

            $scope.selected = [];

            $scope.query = {
                order: 'someText',
                limit: 5,
                page: 1
            };

            $scope.pkGuids = null;
            $scope.error = null;

            $scope.getPkGuids = function()
            {
                $scope.error = null;
                var orderBy = AppUtilsBusiness.convertOrderBy($scope.query.order);
                $scope.promise = pkGuidBusiness.getMultiple(orderBy, $scope.query.page - 1, $scope.query.limit).then(function(data)
                {
                    $scope.pkGuids = data;
                }, function(error)
                {
                    $scope.pkGuids = null;
                    $scope.error = error;
                });
            };

            $scope.getPkGuids();
    }]);
